#if !defined(AFX_ARTISTDLG_H__6099852D_CC38_46F8_B946_CD6566C2EED2__INCLUDED_)
#define AFX_ARTISTDLG_H__6099852D_CC38_46F8_B946_CD6566C2EED2__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ArtistDlg.h : header file
//
#include "SuckLessDialog.h"

/////////////////////////////////////////////////////////////////////////////
// CArtistDlg dialog

class CSNArtist;
class ISNUITreeVolume;
class ISNUITreeDlg;

class CArtistDlg : public CSuckLessDialog
{
// Construction
public:
	CArtistDlg(ISNUITreeDlg *pTreeDlg,
				const CSNArtist *pTemplateArtist, const CSNArtist *pUpdateArtist, const CSNArtist *pToAddBelow,
				const CSNArtist **ppArtistOut,
				ISNUITreeVolume *pParentVolume,
				CWnd* pParent);

	~CArtistDlg();

// Dialog Data
	//{{AFX_DATA(CArtistDlg)
	enum { IDD = IDD_ARTIST_DIALOG };
	CEdit	m_ctrlEditSortAs;
	CEdit	m_ctrlEditShortName;
	CEdit	m_ctrlEditName;
	CString	m_editName;
	CString	m_editShortName;
	CString	m_editSortAs;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CArtistDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

protected:
	const CSNArtist *m_pUpdateArtist;
	const CSNArtist *m_pToAddBelow;
	ISNUITreeVolume *m_pParentVolume;
	ISNUITreeDlg *m_pTreeDlg;

	CSNArtist *m_pNewArtist;

	const CSNArtist **m_ppArtistOut;

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CArtistDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonName();
	afx_msg void OnButtonShortname();
	afx_msg void OnButtonSortas();
	virtual void OnOK();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ARTISTDLG_H__6099852D_CC38_46F8_B946_CD6566C2EED2__INCLUDED_)
