
class CSNConfig;

namespace NSSNBuiltInIcons
{
	bool MakeIconsAvailable(CTypedError *pTError, const CSNConfig *pConfig);

	struct SBin
	{
		const char *filename;
		size_t size;
		const BYTE *pData;
	};

	extern const SBin *AllBuiltInIcons[];

	extern const BYTE BinDataArtistContinuedHeader[];
	extern const SBin SBArtistContinuedHeader;

	extern const BYTE BinDataArtistHeader[];
	extern const SBin SBArtistHeader;

	extern const BYTE BinDataBacktrackStrip[];
	extern const SBin SBBacktrackStrip;

	extern const BYTE BinDataContinuationStrip[];
	extern const SBin SBContinuationStrip;

	extern const BYTE BinDataFinalBarLeft[];
	extern const SBin SBFinalBarLeft;

	extern const BYTE BinDataFinalBarRight[];
	extern const SBin SBFinalBarRight;

	extern const BYTE BinDataNINClassicPronto[];
	extern const SBin SBNINClassicPronto;

	extern const BYTE BinDataNudelPronto[];
	extern const SBin SBNudelPronto;

	extern const BYTE BinDataSmallRoundBlackButton[];
	extern const SBin SBSmallRoundBlackButton;

	extern const BYTE BinDataTwoDiscLeftButton[];
	extern const SBin SBTwoDiscLeftButton;

	extern const BYTE BinDataTwoDiscLeftStrip[];
	extern const SBin SBTwoDiscLeftStrip;

	extern const BYTE BinDataTwoDiscRightButton[];
	extern const SBin SBTwoDiscRightButton;

	extern const BYTE BinDataTwoDiscRightStrip[];
	extern const SBin SBTwoDiscRightStrip;
}

