#if !defined(AFX_SORTABLELISTCTRL_H__D9F59FC6_23A1_47FC_8388_5E2484D569FF__INCLUDED_)
#define AFX_SORTABLELISTCTRL_H__D9F59FC6_23A1_47FC_8388_5E2484D569FF__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// SortableListCtrl.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// CSortableListCtrl window

class CSortableListCtrl : public CListCtrl
{
// Types
public:
	typedef int (CALLBACK *PFNNUDELLVCOMPARE)(CSortableListCtrl *pList,
												LPARAM lParam1, LPARAM lParam2,
												int idx1, int idx2, void *pVoid);

// Construction
public:
	CSortableListCtrl();

// Attributes
public:

// Operations
public:
	void NudelResetSortColumns(void);
	void NudelSortSetNumberColumn(int column);
	void NudelSortSetIconColumn(int column);
	void NudelSortSetCallbackColumn(int column, PFNNUDELLVCOMPARE fn, void *pVoid);
	void SortItemsNudel(int sortColumn, bool bReverse);

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CSortableListCtrl)
	//}}AFX_VIRTUAL

// Implementation
public:
	virtual ~CSortableListCtrl();

protected:

	bool m_bSortReverse;
	int m_sortCol;
	int m_sortNumElements;

	set<int> m_numberColumns;
	set<int> m_iconColumns;
	map< int, pair<PFNNUDELLVCOMPARE, void *> > m_callbackColumns;

	typedef map< int, pair<PFNNUDELLVCOMPARE, void *> >::iterator callbackMapIter;

protected:
	static int CALLBACK nudelSLSortCallback(LPARAM lParam1, LPARAM lParam2, LPARAM lParamSort);
	static int nudelSLSSCColumn(CSortableListCtrl *pThis,
								LPARAM lParam1, LPARAM lParam2,
								int itemIdx1, int itemIdx2,
								int sortColumn);

	// Generated message map functions
protected:
	//{{AFX_MSG(CSortableListCtrl)
	afx_msg void OnColumnclick(NMHDR* pNMHDR, LRESULT* pResult);
	//}}AFX_MSG

	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SORTABLELISTCTRL_H__D9F59FC6_23A1_47FC_8388_5E2484D569FF__INCLUDED_)
