
#ifndef __UNSIGNEDBASETENNUMBER_H_
#define __UNSIGNEDBASETENNUMBER_H_

class CUnsignedBaseTenNumber
{
public:
	CUnsignedBaseTenNumber(unsigned int number, int padTo = 1);
	CUnsignedBaseTenNumber(signed int number, int padTo = 1);
	virtual ~CUnsignedBaseTenNumber(void);

	int GetNumberOfDigits(void) const;

	// Returns zero if digitNumber not in the range [0,NumberOfDigits)
	int GetDigit(int digitNumber) const;

	const char *GetAsciiRepresentation(void) const;

protected:
	void init(unsigned int number, int padTo);

	unsigned int m_number;
	int m_numDigits;
	char *m_asciiRepresentation;
};

#endif
