// AboutDlg.cpp : implementation file
//

#include "stdafx.h"
#include "AboutDlg.h"


#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg dialog


CAboutDlg::CAboutDlg(bool bWelcome, CWnd* pParent)
	: CSuckLessDialog(CAboutDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CAboutDlg)
	//}}AFX_DATA_INIT

	m_bWelcome = bWelcome;
}


void CAboutDlg::DoDataExchange(CDataExchange* pDX)
{
	CSuckLessDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CAboutDlg)
	DDX_Control(pDX, IDC_URL_LEO, m_urlLeo);
	DDX_Control(pDX, IDC_URL_CCFDLL, m_urlCCFDLL);
	DDX_Control(pDX, IDC_STATIC_FFS, m_staticFFS);
	DDX_Control(pDX, IDC_URL_XMLDOCS, m_urlXMLDocs);
	DDX_Control(pDX, IDC_URL_XMLLEGAL, m_urlXMLLegal);
	DDX_Control(pDX, IDC_URL_REMOTECENTRAL, m_urlRemoteCentral);
	DDX_Control(pDX, IDC_URL_NUDELIST, m_urlNudelist);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CAboutDlg, CSuckLessDialog)
	//{{AFX_MSG_MAP(CAboutDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CAboutDlg message handlers

BOOL CAboutDlg::OnInitDialog() 
{
	CSuckLessDialog::OnInitDialog();

	this->setWindowIcon(IDR_MAINFRAME);

	noStatusBar();

	// -- Control setup --

	controlAndFrameInfoIsSetup();

	setMinXToCurrent();
	setMinYToCurrent();
	setMaxXToCurrent();
	setMaxYToCurrent();

	CenterWindow();

	if (m_bWelcome)
	{
		this->SetWindowText("Welcome to Super-Nudelist");
	}


	m_staticFFS.SetWindowText(
		"THIS SOFTWARE AND DOCUMENTATION IS PROVIDED \"AS IS,\" AND COPYRIGHT "
		"HOLDERS MAKE NO REPRESENTATIONS OR WARRANTIES, EXPRESS OR IMPLIED, "
		"INCLUDING BUT NOT LIMITED TO, WARRANTIES OF MERCHANTABILITY OR FITNESS "
		"FOR ANY PARTICULAR PURPOSE OR THAT THE USE OF THE SOFTWARE OR DOCUMENTATION "
		"WILL NOT INFRINGE ANY THIRD PARTY PATENTS, COPYRIGHTS, TRADEMARKS OR OTHER RIGHTS.");

	m_urlLeo.SetURL("mailto:leo@ox.compsoc.net");
	m_urlCCFDLL.SetURL("http://www.remotecentral.com/files/util.htm");

	m_urlLeo.SetAltToolTips(TRUE);
	m_urlCCFDLL.SetAltToolTips(TRUE);
	m_urlXMLDocs.SetAltToolTips(TRUE);
	m_urlXMLLegal.SetAltToolTips(TRUE);
	m_urlRemoteCentral.SetAltToolTips(TRUE);
	m_urlNudelist.SetAltToolTips(TRUE);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
