// CCFDLLDlg.cpp : implementation file
//

#include "stdafx.h"
#include "CCFDLLDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CCCFDLLDlg dialog


CCCFDLLDlg::CCCFDLLDlg(const char *errMsg, CWnd* pParent)
	: CSuckLessDialog(CCCFDLLDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CCCFDLLDlg)
	m_editError = errMsg;
	//}}AFX_DATA_INIT
}


void CCCFDLLDlg::DoDataExchange(CDataExchange* pDX)
{
	CSuckLessDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CCCFDLLDlg)
	DDX_Control(pDX, IDC_STATIC_URLCCF, m_urlCCFDLL);
	DDX_Control(pDX, IDC_STATIC_URLNUDELIST, m_urlNudelist);
	DDX_Control(pDX, IDC_STATIC_URLLEO, m_urlLeo);
	DDX_Text(pDX, IDC_EDIT_ERROR, m_editError);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CCCFDLLDlg, CSuckLessDialog)
	//{{AFX_MSG_MAP(CCCFDLLDlg)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CCCFDLLDlg message handlers

BOOL CCCFDLLDlg::OnInitDialog() 
{
	CSuckLessDialog::OnInitDialog();
	
	this->setWindowIcon(IDR_MAINFRAME);

	noStatusBar();

	// -- Control setup --

	controlAndFrameInfoIsSetup();

	setMinXToCurrent();
	setMinYToCurrent();
	setMaxXToCurrent();
	setMaxYToCurrent();

	CenterWindow();

	m_urlLeo.SetURL("mailto:leo@ox.compsoc.net");

	m_urlLeo.SetAltToolTips(TRUE);
	m_urlCCFDLL.SetAltToolTips(TRUE);
	m_urlNudelist.SetAltToolTips(TRUE);

	return TRUE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}
