#if !defined(AFX_DEVICEADDDLG_H__5B7549CB_6F2A_49FB_8AD5_FB2DB924A262__INCLUDED_)
#define AFX_DEVICEADDDLG_H__5B7549CB_6F2A_49FB_8AD5_FB2DB924A262__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DeviceAddDlg.h : header file
//
#include "SuckLessDialog.h"
#include "SNDevice.h"

class CCSFAbstractTree;
class CCSFATDevice;

/////////////////////////////////////////////////////////////////////////////
// CDeviceAddDlg dialog

class CDeviceAddDlg : public CSuckLessDialog
{
// Construction
public:
	CDeviceAddDlg(CSNDeviceList *pDeviceList, const CCSFAbstractTree *pAbstractTree,
					const CSNDevice **ppDeviceResult, CWnd* pParent);

// Dialog Data
	//{{AFX_DATA(CDeviceAddDlg)
	enum { IDD = IDD_DEVICEADD_DIALOG };
	CListBox	m_ctrlListDevices;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDeviceAddDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	void guessDevice(const CCSFATDevice *pDev);

	bool searchDeviceForButton(CCSFButtonPath *pOutPath,
								const CCSFATDevice *pDev, const char *szNamePronto);

	// SuckLessDialog:
	void virtual OnPseudoModalChildClose(int sldIDD, LPARAM lparam);

	CSNDevice m_outDevice;

	CSNDeviceList *m_pDeviceList;
	const CCSFAbstractTree *m_pAbstractTree;

	const CSNDevice **m_ppDeviceResult;

	// Generated message map functions
	//{{AFX_MSG(CDeviceAddDlg)
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	afx_msg void OnDblclkListDevices();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DEVICEADDDLG_H__5B7549CB_6F2A_49FB_8AD5_FB2DB924A262__INCLUDED_)
