// ProntoStringDlg.cpp : implementation file
//

#include "stdafx.h"
#include "ProntoStringDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CProntoStringDlg dialog

CProntoStringDlg::CProntoStringDlg(CWnd *pCWndToSet, const char *szTitle, CWnd* pParent)
	: CSuckLessDialog(CProntoStringDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CProntoStringDlg)
	//}}AFX_DATA_INIT

	m_pCWndToSet = pCWndToSet;

	if (NULL != szTitle)
	{
		m_csTitle = szTitle;
	}
}

void CProntoStringDlg::DoDataExchange(CDataExchange* pDX)
{
	CSuckLessDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CProntoStringDlg)
	DDX_Control(pDX, IDC_EDIT, m_ctrlEdit);
	DDX_Control(pDX, IDC_TAB, m_ctrlTab);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CProntoStringDlg, CSuckLessDialog)
	//{{AFX_MSG_MAP(CProntoStringDlg)
	ON_NOTIFY(TCN_SELCHANGE, IDC_TAB, OnSelchangeTab)
	ON_BN_CLICKED(IDC_BUTTON_1A, OnButton1a)
	ON_BN_CLICKED(IDC_BUTTON_1B, OnButton1b)
	ON_BN_CLICKED(IDC_BUTTON_1C, OnButton1c)
	ON_BN_CLICKED(IDC_BUTTON_1D, OnButton1d)
	ON_BN_CLICKED(IDC_BUTTON_1E, OnButton1e)
	ON_BN_CLICKED(IDC_BUTTON_1F, OnButton1f)
	ON_BN_CLICKED(IDC_BUTTON_1G, OnButton1g)
	ON_BN_CLICKED(IDC_BUTTON_1H, OnButton1h)
	ON_BN_CLICKED(IDC_BUTTON_1I, OnButton1i)
	ON_BN_CLICKED(IDC_BUTTON_1J, OnButton1j)
	ON_BN_CLICKED(IDC_BUTTON_1K, OnButton1k)
	ON_BN_CLICKED(IDC_BUTTON_1L, OnButton1l)
	ON_BN_CLICKED(IDC_BUTTON_2A, OnButton2a)
	ON_BN_CLICKED(IDC_BUTTON_2B, OnButton2b)
	ON_BN_CLICKED(IDC_BUTTON_2C, OnButton2c)
	ON_BN_CLICKED(IDC_BUTTON_2D, OnButton2d)
	ON_BN_CLICKED(IDC_BUTTON_2E, OnButton2e)
	ON_BN_CLICKED(IDC_BUTTON_2F, OnButton2f)
	ON_BN_CLICKED(IDC_BUTTON_2G, OnButton2g)
	ON_BN_CLICKED(IDC_BUTTON_2H, OnButton2h)
	ON_BN_CLICKED(IDC_BUTTON_2I, OnButton2i)
	ON_BN_CLICKED(IDC_BUTTON_2J, OnButton2j)
	ON_BN_CLICKED(IDC_BUTTON_2K, OnButton2k)
	ON_BN_CLICKED(IDC_BUTTON_2L, OnButton2l)
	ON_BN_CLICKED(IDC_BUTTON_3A, OnButton3a)
	ON_BN_CLICKED(IDC_BUTTON_3B, OnButton3b)
	ON_BN_CLICKED(IDC_BUTTON_3C, OnButton3c)
	ON_BN_CLICKED(IDC_BUTTON_3D, OnButton3d)
	ON_BN_CLICKED(IDC_BUTTON_3E, OnButton3e)
	ON_BN_CLICKED(IDC_BUTTON_3F, OnButton3f)
	ON_BN_CLICKED(IDC_BUTTON_3G, OnButton3g)
	ON_BN_CLICKED(IDC_BUTTON_3H, OnButton3h)
	ON_BN_CLICKED(IDC_BUTTON_3I, OnButton3i)
	ON_BN_CLICKED(IDC_BUTTON_3J, OnButton3j)
	ON_BN_CLICKED(IDC_BUTTON_3K, OnButton3k)
	ON_BN_CLICKED(IDC_BUTTON_3L, OnButton3l)
	ON_BN_CLICKED(IDC_BUTTON_4A, OnButton4a)
	ON_BN_CLICKED(IDC_BUTTON_4B, OnButton4b)
	ON_BN_CLICKED(IDC_BUTTON_4C, OnButton4c)
	ON_BN_CLICKED(IDC_BUTTON_4D, OnButton4d)
	ON_BN_CLICKED(IDC_BUTTON_4E, OnButton4e)
	ON_BN_CLICKED(IDC_BUTTON_4F, OnButton4f)
	ON_BN_CLICKED(IDC_BUTTON_4G, OnButton4g)
	ON_BN_CLICKED(IDC_BUTTON_4H, OnButton4h)
	ON_BN_CLICKED(IDC_BUTTON_4I, OnButton4i)
	ON_BN_CLICKED(IDC_BUTTON_4J, OnButton4j)
	ON_BN_CLICKED(IDC_BUTTON_4K, OnButton4k)
	ON_BN_CLICKED(IDC_BUTTON_4L, OnButton4l)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CProntoStringDlg message handlers

BOOL CProntoStringDlg::OnInitDialog() 
{
	CSuckLessDialog::OnInitDialog();
	
	this->setWindowIcon(IDR_MAINFRAME);

	// -- Initial contents --

	if (!m_csTitle.IsEmpty())
	{
		SetWindowText(m_csTitle);
	}

	CString editContents;
	m_pCWndToSet->GetWindowText(editContents);
	m_ctrlEdit.SetWindowText(editContents);

	if (NULL != g_pProntoFont)
	{
		CWnd *pCtrl;

		pCtrl = GetDlgItem(IDC_EDIT);
		if (NULL != pCtrl)
		{
			pCtrl->SetFont(g_pProntoFont);
		}

		for (unsigned int r = 0; r < 4; r++)
		{
			for (unsigned int c = 0; c < 12; c++)
			{
				pCtrl = GetDlgItem(getLetterButtonIdent(r, c));
				if (NULL != pCtrl)
				{
					pCtrl->SetFont(g_pProntoFont);
				}
			}
		}
	}

	if ((0 != m_ctrlTab.InsertItem(0, "Symbols 1"))\
	||	(1 != m_ctrlTab.InsertItem(1, "Symbols 2"))\
	||	(2 != m_ctrlTab.InsertItem(2, "Lowercase"))\
	||	(3 != m_ctrlTab.InsertItem(3, "Uppercase")))
	{
		MessageBox("Error initialising tab control.",
					SUPERNUDELIST_ERROR_TITLE, MB_OK | MB_ICONEXCLAMATION);
	}
	else
	{
		m_ctrlTab.SetCurSel(0);
		labelButtons(0);
	}

	// -- Control setup --

	noStatusBar();
	controlAndFrameInfoIsSetup();

	CenterWindow();

	m_ctrlEdit.SetFocus();

	return FALSE;  // return TRUE unless you set the focus to a control
	              // EXCEPTION: OCX Property Pages should return FALSE
}

int CProntoStringDlg::getLetterButtonIdent(unsigned int row, unsigned int column) const
{
	static const int identMap[4][12] =
	{
		{
			IDC_BUTTON_1A, IDC_BUTTON_1B, IDC_BUTTON_1C,
			IDC_BUTTON_1D, IDC_BUTTON_1E, IDC_BUTTON_1F,
			IDC_BUTTON_1G, IDC_BUTTON_1H, IDC_BUTTON_1I,
			IDC_BUTTON_1J, IDC_BUTTON_1K, IDC_BUTTON_1L
		},
		{
			IDC_BUTTON_2A, IDC_BUTTON_2B, IDC_BUTTON_2C,
			IDC_BUTTON_2D, IDC_BUTTON_2E, IDC_BUTTON_2F,
			IDC_BUTTON_2G, IDC_BUTTON_2H, IDC_BUTTON_2I,
			IDC_BUTTON_2J, IDC_BUTTON_2K, IDC_BUTTON_2L
		},
		{
			IDC_BUTTON_3A, IDC_BUTTON_3B, IDC_BUTTON_3C,
			IDC_BUTTON_3D, IDC_BUTTON_3E, IDC_BUTTON_3F,
			IDC_BUTTON_3G, IDC_BUTTON_3H, IDC_BUTTON_3I,
			IDC_BUTTON_3J, IDC_BUTTON_3K, IDC_BUTTON_3L
		},
		{
			IDC_BUTTON_4A, IDC_BUTTON_4B, IDC_BUTTON_4C,
			IDC_BUTTON_4D, IDC_BUTTON_4E, IDC_BUTTON_4F,
			IDC_BUTTON_4G, IDC_BUTTON_4H, IDC_BUTTON_4I,
			IDC_BUTTON_4J, IDC_BUTTON_4K, IDC_BUTTON_4L
		}
	};

	if ((row < 4) && (column < 12))
	{
		return(identMap[row][column]);
	}
	else
	{
		return(0);
	}
}

void CProntoStringDlg::labelButtons(unsigned int page)
{
	static const unsigned char labelMap[4][4][12] =
	{
		{
			{ 0x85, 0x86, 0x87, 0x89, 0xB3, 0xA0, 0x99, 0x9B, 0xAB, 0xA9, 0x8F, 0xAC },
			{ 0x8B, 0xF7, 0xAE, 0xB6, 0xBA, 0xAA, 0xA2, 0xBE, 0xB1, 0xB7, 0x95, 0x97 },
			{ 0x7F, 0x80, 0x81, 0x83, 0x8D, 0x8E, 0x9E, 0xAD, 0xD7, 0xAF, 0xB0, 0xA7 },
			{ 0xA4, 0x96, 0xA5, 0xA6, 0xA3, 0xB2, 0xB9, 0xBB, 0xBC, 0xBD, 0x90, 0x9D }
		},
		{
			{ 0xC0, 0xC1, 0xC2, 0xC3, 0xC4, 0xC5, 0xC6, 0xC7, 0xC8, 0xC9, 0xCA, 0xCB },
			{ 0xCC, 0xCD, 0xCE, 0xCF, 0xE3, 0xF0, 0xF1, 0xFE, 0xE5, 0xE6, 0xEC, 0xED },
			{ 0xF5, 0xF8, 0xFD, 0xFF, 0xE0, 0xE1, 0xE2, 0xE4, 0xE7, 0xE8, 0xE9, 0xEA },
			{ 0xEB, 0xEE, 0xEF, 0xF2, 0xF3, 0xF4, 0xF6, 0xF9, 0xFA, 0xFB, 0xFC, 0xDF }
		},
		{
			{ '1','2','3','4','5','6','7','8','9','0','-','='  },
			{ 'q','w','e','r','t','y','u','i','o','p','[',']'  },
			{ '`','a','s','d','f','g','h','j','k','l',';','\'' },
			{ ' ','z','x','c','v','b','n','m',',','.','/','\\' }
		},
		{
			{ '!','@','#','$','%','^','&','*','(',')','_','+'  },
			{ 'Q','W','E','R','T','Y','U','I','O','P','{','}'  },
			{ '~','A','S','D','F','G','H','J','K','L',':','\'' },
			{ ' ','Z','X','C','V','B','N','M','<','>','?','|'  }
		}
	};

	if (page < 4)
	{
		CWnd *pCtrl;
		char labelStr[2];
		labelStr[1] = '\0';

		for (unsigned int r = 0; r < 4; r++)
		{
			for (unsigned int c = 0; c < 12; c++)
			{
				pCtrl = GetDlgItem(getLetterButtonIdent(r, c));
				if (NULL != pCtrl)
				{
					labelStr[0] = labelMap[page][r][c];
					if ('&' == labelStr[0])
					{
						pCtrl->SetWindowText("&&");
					}
					else
					{
						pCtrl->SetWindowText(labelStr);
					}
				}
			}
		}
	}
}

void CProntoStringDlg::buttonPress(unsigned int row, unsigned int column)
{
	if ((row < 4) && (column < 12))
	{
		CWnd *pCtrl = GetDlgItem(getLetterButtonIdent(row, column));

		if (NULL != pCtrl)
		{
			CString csLetter;
			pCtrl->GetWindowText(csLetter);
			csLetter.GetBufferSetLength(1);
			csLetter.ReleaseBuffer(1);

			m_ctrlEdit.ReplaceSel(csLetter, TRUE);
		}
	}

	m_ctrlEdit.SetFocus();
}

void CProntoStringDlg::OnOK() 
{
	CString editContents;
	m_ctrlEdit.GetWindowText(editContents);
	m_pCWndToSet->SetWindowText(editContents);
	
	CSuckLessDialog::OnOK();
}

void CProntoStringDlg::OnSelchangeTab(NMHDR* pNMHDR, LRESULT* pResult) 
{
	labelButtons(m_ctrlTab.GetCurSel());

	*pResult = 0;
}

void CProntoStringDlg::OnButton1a() 
{
	buttonPress(0, 0);
}

void CProntoStringDlg::OnButton1b() 
{
	buttonPress(0, 1);
}

void CProntoStringDlg::OnButton1c() 
{
	buttonPress(0, 2);
}

void CProntoStringDlg::OnButton1d() 
{
	buttonPress(0, 3);
}

void CProntoStringDlg::OnButton1e() 
{
	buttonPress(0, 4);
}

void CProntoStringDlg::OnButton1f() 
{
	buttonPress(0, 5);
}

void CProntoStringDlg::OnButton1g() 
{
	buttonPress(0, 6);
}

void CProntoStringDlg::OnButton1h() 
{
	buttonPress(0, 7);
}

void CProntoStringDlg::OnButton1i() 
{
	buttonPress(0, 8);
}

void CProntoStringDlg::OnButton1j() 
{
	buttonPress(0, 9);
}

void CProntoStringDlg::OnButton1k() 
{
	buttonPress(0, 10);
}

void CProntoStringDlg::OnButton1l() 
{
	buttonPress(0, 11);
}

void CProntoStringDlg::OnButton2a() 
{
	buttonPress(1, 0);
}

void CProntoStringDlg::OnButton2b() 
{
	buttonPress(1, 1);
}

void CProntoStringDlg::OnButton2c() 
{
	buttonPress(1, 2);
}

void CProntoStringDlg::OnButton2d() 
{
	buttonPress(1, 3);
}

void CProntoStringDlg::OnButton2e() 
{
	buttonPress(1, 4);
}

void CProntoStringDlg::OnButton2f() 
{
	buttonPress(1, 5);
}

void CProntoStringDlg::OnButton2g() 
{
	buttonPress(1, 6);
}

void CProntoStringDlg::OnButton2h() 
{
	buttonPress(1, 7);
}

void CProntoStringDlg::OnButton2i() 
{
	buttonPress(1, 8);
}

void CProntoStringDlg::OnButton2j() 
{
	buttonPress(1, 9);
}

void CProntoStringDlg::OnButton2k() 
{
	buttonPress(1, 10);
}

void CProntoStringDlg::OnButton2l() 
{
	buttonPress(1, 11);
}

void CProntoStringDlg::OnButton3a() 
{
	buttonPress(2, 0);
}

void CProntoStringDlg::OnButton3b() 
{
	buttonPress(2, 1);
}

void CProntoStringDlg::OnButton3c() 
{
	buttonPress(2, 2);
}

void CProntoStringDlg::OnButton3d() 
{
	buttonPress(2, 3);
}

void CProntoStringDlg::OnButton3e() 
{
	buttonPress(2, 4);
}

void CProntoStringDlg::OnButton3f() 
{
	buttonPress(2, 5);
}

void CProntoStringDlg::OnButton3g() 
{
	buttonPress(2, 6);
}

void CProntoStringDlg::OnButton3h() 
{
	buttonPress(2, 7);
}

void CProntoStringDlg::OnButton3i() 
{
	buttonPress(2, 8);
}

void CProntoStringDlg::OnButton3j() 
{
	buttonPress(2, 9);
}

void CProntoStringDlg::OnButton3k() 
{
	buttonPress(2, 10);
}

void CProntoStringDlg::OnButton3l() 
{
	buttonPress(2, 11);
}

void CProntoStringDlg::OnButton4a() 
{
	buttonPress(3, 0);
}

void CProntoStringDlg::OnButton4b() 
{
	buttonPress(3, 1);
}

void CProntoStringDlg::OnButton4c() 
{
	buttonPress(3, 2);
}

void CProntoStringDlg::OnButton4d() 
{
	buttonPress(3, 3);
}

void CProntoStringDlg::OnButton4e() 
{
	buttonPress(3, 4);
}

void CProntoStringDlg::OnButton4f() 
{
	buttonPress(3, 5);
}

void CProntoStringDlg::OnButton4g() 
{
	buttonPress(3, 6);
}

void CProntoStringDlg::OnButton4h() 
{
	buttonPress(3, 7);
}

void CProntoStringDlg::OnButton4i() 
{
	buttonPress(3, 8);
}

void CProntoStringDlg::OnButton4j() 
{
	buttonPress(3, 9);
}

void CProntoStringDlg::OnButton4k() 
{
	buttonPress(3, 10);
}

void CProntoStringDlg::OnButton4l() 
{
	buttonPress(3, 11);
}
