#if !defined(AFX_TRACKDLG_H__AC8DCFAC_BB5B_4E51_910F_7C07664B0D94__INCLUDED_)
#define AFX_TRACKDLG_H__AC8DCFAC_BB5B_4E51_910F_7C07664B0D94__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TrackDlg.h : header file
//

#include "SuckLessDialog.h"

class CSNTrack;
class CDiscDlg;
class CSNDisc;

/////////////////////////////////////////////////////////////////////////////
// CTrackDlg dialog

class CTrackDlg : public CSuckLessDialog
{
// Construction
public:
	CTrackDlg(CDiscDlg *pParentDiscDlg,
			  const CSNTrack *pTemplateTrack, const CSNTrack *pUpdateTrack,
			  CSNDisc *pParentDisc);
	virtual ~CTrackDlg();

// Dialog Data
	//{{AFX_DATA(CTrackDlg)
	enum { IDD = IDD_TRACK_DIALOG };
	CButton	m_buttonOK;
	CButton	m_buttonCancel;
	CSpinButtonCtrl	m_ctrlSpinNumber;
	CEdit	m_ctrlEditNumber;
	CEdit	m_ctrlEditName;
	CString	m_editName;
	//}}AFX_DATA


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CTrackDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

protected:
	CDiscDlg *m_pParentDiscDlg;

	CSNTrack *m_pNewTrack;
	const CSNTrack *m_pUpdateTrack;
	CSNDisc *m_pParentDisc;

	bool m_bUpdatingTrackNumber;

protected:
	void updateTrackNumber(int trackNumber, bool bUpdateEdit, bool bUpdateSpin);


// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CTrackDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnButtonName();
	afx_msg void OnVScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	virtual void OnOK();
	afx_msg void OnChangeEditNumber();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TRACKDLG_H__AC8DCFAC_BB5B_4E51_910F_7C07664B0D94__INCLUDED_)
